import it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.*;
import it.uniroma1.dis.mfis.redia.verifint.test.Ocl2Jass;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.utilities.*;

import java.io.*;

import jass.*;




public class ExecutionJass {
	   	
   	public static void main(String argv[]) throws IOException{
   		
   		FormulaOCL oclFormula = new FormulaOCL();
   		
   		String formulaOcl = "";
   		
   		FileReader oclFr = new FileReader(argv[0]);
   		BufferedReader oclBr = new BufferedReader(oclFr);
   		String lineOcl = "";
   		
   		String operation = oclBr.readLine();
   	   		   		
   		File jassFormulas = new File("jassFormulas.txt");
   		
   		jassFormulas.delete();
   		
   		jassFormulas = new File("jassFormulas.txt");  
   		
   		boolean firstFormula = true; 		
   		
   		while((lineOcl = oclBr.readLine())!=null){
   			if(lineOcl!=""){
   			File auxFile = new File("auxFile.txt");
   			FileWriter auxFw = new FileWriter(auxFile,false);
   			BufferedWriter auxBw = new BufferedWriter(auxFw);
   			formulaOcl+="\n"+lineOcl;
   			auxBw.write(lineOcl);
   			auxBw.close();
   			auxFw.close();
   			Ocl2Jass.toJass(auxFile,jassFormulas,firstFormula,false);
   			firstFormula=false;
   			auxFile.delete();
   			}			
   		}   	
   		Ocl2Jass.toJass(new File(""),jassFormulas,false,true);	

   		oclFormula.setFormula(formulaOcl);   		
   		
   		JASSPrecondition jassPrecond = new JASSPrecondition();
   		   		
   		String precondJass = "";
   		
   		FileReader jassFr = new FileReader("jassFormulas.txt");
   		BufferedReader jassBr = new BufferedReader(jassFr);
   		String lineJass = "";
   		
   		while((lineJass = jassBr.readLine())!=null){
   			precondJass+=lineJass;
   		}
   		
   		jassPrecond.setJASSPrecondition(precondJass);
   		
   		jassBr.close();
   		jassFr.close();
   		oclBr.close();
   		oclFr.close();
   		
  		
   		FileReader javaFr = new FileReader(argv[1]+".java");
   		BufferedReader javaBr = new BufferedReader(javaFr);
   	
   		
   		FileWriter jassFw = new FileWriter(argv[1]+".jass");
   		BufferedWriter jassBw = new BufferedWriter(jassFw);
   		
   		String lineJava = "";
   		
   		while((lineJava=javaBr.readLine())!=null){
   			if(lineJava.contains(operation)){   			
   				jassBw.write(lineJava+"\n");
   				jassBw.write(precondJass);
   			}
   			else{
   				jassBw.write(lineJava+"\n");
   			}
   		
   		}
   		
   		javaBr.close();
   		jassBw.close();
   		javaFr.close();
   		jassFw.close();
 
   		
   		String[] jassCommand = {"-contract[pre,forall]","-d","output",argv[1]+".jass"};
    			
    	Jass.main(jassCommand);	
    		
    		
    	
   	}
   		
}