package it.uniroma1.dis.mfis.redia.verifint.model._links;


import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDElement;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDElement;


public class CCDElement_projects_RCDElement {


	private CCDElement ccdElement;
	private RCDElement rcdElement;

	private CCDElement_projects_RCDElement(CCDElement ccdElement, RCDElement rcdElement) {
			this.ccdElement = ccdElement;
			this.rcdElement = rcdElement;
	}

	public static void addLink(CCDElement ccdElement, RCDElement rcdElement) {
		CCDElement_projects_RCDElement self =
			new CCDElement_projects_RCDElement(ccdElement,rcdElement);
		ccdElement.addRcdElement(self);
		rcdElement.addCcdElement(self);
	}

	public static void removeLink(CCDElement ccdElement, RCDElement rcdElement) {
		CCDElement_projects_RCDElement self =
			new CCDElement_projects_RCDElement(ccdElement,rcdElement);
		ccdElement.removeRcdElement(self);
		rcdElement.removeCcdElement(self);
	}

	public CCDElement getCCDElement() {
		return ccdElement;
	}

	public RCDElement getRCDElement() {
		return rcdElement;
	}

    
}