package it.uniroma1.dis.mfis.redia.verifint.model._links;


import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSClass;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSClass;


public class CSClass_hasRealizativeClassSpecification_RSClass {


	private RSClass rsClass;
	private CSClass csClass;

	private CSClass_hasRealizativeClassSpecification_RSClass(RSClass rsClass,CSClass csClass) {
			this.rsClass = rsClass;
			this.csClass = csClass;
	}

	public static void addLink(RSClass rsClass,CSClass csClass) {
		CSClass_hasRealizativeClassSpecification_RSClass self =
			new CSClass_hasRealizativeClassSpecification_RSClass(rsClass,csClass);
		rsClass.setCSClass(self);
		csClass.setRSClass(self);
	}

	public static void removeLink(RSClass rsClass,CSClass csClass) {
		CSClass_hasRealizativeClassSpecification_RSClass self =
			new CSClass_hasRealizativeClassSpecification_RSClass(rsClass,csClass);
		rsClass.unsetCSClass(self);
		csClass.unsetRSClass(self);
	}

	public CSClass getCSClass() {
		return csClass;
	}

	public RSClass getRSClass() {
		return rsClass;
	}

    
}
