package it.uniroma1.dis.mfis.redia.verifint.model.analysis._links;


import it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.Formula;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSOperation;


public class CSOperation_hasPostcondition_Formula {
	private Formula postcondition;
	private CSOperation opSpec;


	
	private CSOperation_hasPostcondition_Formula(CSOperation operation, Formula formula) {
			opSpec = operation;
			postcondition = formula;
	}

	public static void addLink(CSOperation operation, Formula formula) {
		CSOperation_hasPostcondition_Formula self =
			new CSOperation_hasPostcondition_Formula(operation,formula);
		operation.addPostcondition(self);
	}

	public static void removeLink(CSOperation operation, Formula formula) {
		CSOperation_hasPostcondition_Formula self =
			new CSOperation_hasPostcondition_Formula(operation,formula);
		operation.removePostcondition(self);
	}


	public CSOperation getOperationSpec() {
		return opSpec;
	}
	public Formula getPostcondition() {
		return postcondition;
	}

}





