package it.uniroma1.dis.mfis.redia.verifint.model.analysis._links;


import it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.Formula;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSOperation;


public class CSOperation_hasPrecondition_Formula {
	private Formula precondition;
	private CSOperation opSpec;


	
	private CSOperation_hasPrecondition_Formula(CSOperation operation, Formula formula) {
			opSpec = operation;
			precondition = formula;
	}

	public static void addLink(CSOperation operation, Formula formula) {
		CSOperation_hasPrecondition_Formula self =
			new CSOperation_hasPrecondition_Formula(operation,formula);
		operation.addPrecondition(self);
	}

	public static void removeLink(CSOperation operation, Formula formula) {
		CSOperation_hasPrecondition_Formula self =
			new CSOperation_hasPrecondition_Formula(operation,formula);
		operation.removePrecondition(self);
	}


	public CSOperation getOperationSpec() {
		return opSpec;
	}
	public Formula getPrecondition() {
		return precondition;
	}

}





