package it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications;

import it.uniroma1.dis.mfis.redia.verifint.model._exceptions.AssociationTargetException;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis._links.CTDefinedType_hasConceptualSpecification_CSDataType;
import it.uniroma1.dis.mfis.redia.verifint.model._links.CSDataType_hasDataStructure_RSDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types.CTDefinedType;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis._links.CTDefinedType_hasConceptualSpecification_CSDataType;

public class CSDataType extends CSSpecification {
	
	private CTDefinedType ctDefinedType;
	private RSDataStructure rsDataStructure;
	
	protected CSDataType() {
		super();
	}
	
	CSDataType(String name) {
		super(name);
		
	}

	public void setCtDefinedType(CTDefinedType_hasConceptualSpecification_CSDataType link)
	throws AssociationTargetException {
		if (!link.getCsDataType().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.ctDefinedType = link.getCtDefinedType();
	}
	
	
	public void unsetCtDefinedType(CTDefinedType_hasConceptualSpecification_CSDataType link)
	throws AssociationTargetException {
		if (!link.getCsDataType().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.ctDefinedType = null;
	}
	
	public CTDefinedType getCtDefinedType() {
		return ctDefinedType;
	}
	
	public void setRSDataStructure(CSDataType_hasDataStructure_RSDataStructure link)
	throws AssociationTargetException {
		if (!link.getCSDataType().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.rsDataStructure = link.getRSDataStructure();
	}

	public void unsetRSDataStructure(CSDataType_hasDataStructure_RSDataStructure link)
	throws AssociationTargetException {
		if (!link.getCSDataType().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.rsDataStructure = null;
	}
	
	public RSDataStructure getRSDataStructure() {
		return rsDataStructure;
	}

}