package it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications;



import it.uniroma1.dis.mfis.redia.verifint.model.Specification;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications._links.*;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeSet;

public abstract class CSSpecification implements Specification {

	private Set<CSOperation> operationSpec;
	
	private String name;
	
	CSSpecification() {	
		
	}
	
	public CSSpecification(String name) {
		this.name = name; 
	}
	
	public void addOperationSpec(
			CSSpecification_hasOperationSpecification_CSOperation
				cSSpecification_hasOperationSpecification_CSOperation) {
		this.operationSpec.add(cSSpecification_hasOperationSpecification_CSOperation.getOperationSpec());
	}

	public void removeOperationSpec(
			CSSpecification_hasOperationSpecification_CSOperation
				cSSpecification_hasOperationSpecification_CSOperation) {
		this.operationSpec.remove(cSSpecification_hasOperationSpecification_CSOperation.getOperationSpec());
	}
	
	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}
	public SortedSet<CSOperation> getCSOperation() {
		return new TreeSet<CSOperation>(operationSpec);
	}


}