package it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSSpecification;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSOperation;

public class CSSpecification_hasOperationSpecification_CSOperation {
	private CSSpecification concSpec;
	private CSOperation opSpec;

	private CSSpecification_hasOperationSpecification_CSOperation(
			CSSpecification cs, CSOperation opSp) {
			concSpec = cs;
			opSpec = opSp;
	}

	public static void addLink(
			CSSpecification cs, CSOperation opSp) {
		CSSpecification_hasOperationSpecification_CSOperation self =
			new CSSpecification_hasOperationSpecification_CSOperation(
					cs,opSp);
		cs.addOperationSpec(self);
		opSp.setCSSpecification(self);
	}

	public static void removeLink(
			CSSpecification cs, CSOperation opSp) {
		CSSpecification_hasOperationSpecification_CSOperation self =
			new CSSpecification_hasOperationSpecification_CSOperation(
					cs,opSp);
		cs.removeOperationSpec(self);
		opSp.unsetCSSpecification(self);
	}

	public CSSpecification getConcSpec() {
		return concSpec;
	}

	public CSOperation getOperationSpec() {
		return opSpec;
	}
}