package it.uniroma1.dis.mfis.redia.verifint.model.analysis.types;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSDataType;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis._links.CTDefinedType_hasConceptualSpecification_CSDataType;
import it.uniroma1.dis.mfis.redia.verifint.model._exceptions.AssociationTargetException;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis._links.CTDefinedType_hasConceptualSpecification_CSDataType;

public class CTDefinedType extends CTDataType {
	private static final long serialVersionUID = 15360109653520800L;
	
	private CSDataType csDataType;

	public CTDefinedType(String name) {
		super(name);
	}
	
	protected CTDefinedType() {
		super();
	}
	
	
	public void setCsDataType(CTDefinedType_hasConceptualSpecification_CSDataType link)
	throws AssociationTargetException {
		if (!link.getCtDefinedType().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.csDataType = link.getCsDataType();
	}

	public void unsetCsDataType(CTDefinedType_hasConceptualSpecification_CSDataType link)
	throws AssociationTargetException {
		if (!link.getCtDefinedType().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.csDataType = null;
	}
	
	public CSDataType getCsDataType() {
		return csDataType;
	}
}