package it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.ocl;
public class OclDeclarator extends OclExpression{
		
	
	private OclListExpr list;
	private OclExpression simpleTypeSpec;
	private OclName name;
	private OclExpression typeSpec;
	private OclExpression expr;
	
	
	
	public OclDeclarator(OclListExpr list){
		this.list = list;
		this.simpleTypeSpec = null;
		this.name = null;
		this.typeSpec = null;
		this.expr = null;
	}
	public OclDeclarator(OclListExpr list, OclExpression simpleTypeSpec){
		this.list = list;
		this.simpleTypeSpec = simpleTypeSpec;
		this.name = null;
		this.typeSpec = null;
		this.expr =null;
	}
	
	public OclDeclarator(OclListExpr list, OclName name,OclExpression typeSpec, OclExpression expr){
		this.list = list;
		this.simpleTypeSpec = null;
		this.name = name;
		this.typeSpec = typeSpec;
		this.expr = expr;
	}

	public OclDeclarator(OclListExpr list, OclExpression simpleTypeSpec, OclName name,OclExpression typeSpec, OclExpression expr){
		this.list = list;
		this.simpleTypeSpec = simpleTypeSpec;
		this.name = name;
		this.typeSpec = typeSpec;
		this.expr = expr;
	}
	
	
	
	public OclListExpr getList(){
		return this.list;
	}
	
	public OclExpression getSimpleTypeSpec() {
		return this.simpleTypeSpec;
	}
	public OclName getName(){
		return this.name;
	}	
	public OclExpression getTypeSpec(){
		return this.typeSpec;
	}
	public OclExpression getExpr(){
		return this.expr;
	}
	public String toString(){

		String result = this.getList().toString();
		
		if(this.getSimpleTypeSpec()!=null){
			result+=":"+this.getSimpleTypeSpec().toString();
		}
		if(this.getName()!=null){
			result+=";"+this.getName().toString()+":"+this.getTypeSpec().toString()+"="+this.getExpr()+"|";
		}
		if(this.getName()==null){
			result += "|";
		}
		
		
		return result;
	}
}