package it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.ocl;
public class OclLetExpr extends OclExpression{	
	
	private OclExpression expr;
	private OclExpression typeSpec;
	private OclListExpr formalParam;
	private OclName name;
		
	public OclLetExpr(OclName name,OclListExpr formalParam, OclExpression typeSpec, OclExpression expr){
		this.name = name;
		this.formalParam = formalParam;
		this.typeSpec = typeSpec;
		this.expr= expr;
	}
	
	public OclExpression getTypeSpec() {
		return this.typeSpec;
	}
	public OclExpression getExpression(){
		return this.expr;
	}	
	public OclListExpr getFormalParam(){
		return this.formalParam;
	}
	public OclName getName(){
		return this.name;
	}

	public String toString(){
		
		String result = "LET " + this.getName();

		if(this.getFormalParam()!=null){
			result+=this.getFormalParam().toString();
		}
		if(this.getTypeSpec()!=null){
			result+=":"+this.getTypeSpec().toString();
		}
		
			result += "="+this.getExpression().toString();
		
		
		return result;
	}
}