package it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.ocl;
public class OclListExpr extends OclExpression{
		
	
	private OclExpression [] collection;
	private String openBrack;
	private String closeBrack;
	private String separator;
	
	
	
	public OclListExpr(OclExpression [] collection,String openBrack, String closeBrack,String separator){
		this.collection = collection;
		this.openBrack = openBrack;
		this.closeBrack = closeBrack;
		this.separator = separator;
	}
	
	public String getOpenBrack(){
		return this.openBrack;
	}
	
	public String getCloseBrack(){
		return this.closeBrack;
	}

	public OclExpression[] getCollection(){
		return collection;
	}
	public String getSeparator(){
		return this.separator;
	}
	public void setSeparator(String separator){
		this.separator = separator;
	}
	
	public String toString(){
		
		if(this.collection==null){
			return this.getOpenBrack()+this.getCloseBrack();
		}

		String result = this.getOpenBrack();
		
		for(int i=0; i<this.getCollection().length;i++){
			result+=this.collection[i].toString() + this.getSeparator();
		}
		
		if(result.endsWith(",")){
			result = result.substring(0,result.length()-1);
		}		
		result += this.getCloseBrack();
		
		return result;
	}

	
}