package it.uniroma1.dis.mfis.redia.verifint.model.realization._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDDefOperation;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSOperation;

public class RCDDefOperation_hasRealizativeOperationSpecification_RSOperation {
	private RCDDefOperation defOperation;
	private RSOperation realOpSpec;

	private RCDDefOperation_hasRealizativeOperationSpecification_RSOperation(RCDDefOperation defOperation, RSOperation realOpSpec) {
				
			this.defOperation = defOperation;
			this.realOpSpec = realOpSpec;
	}

	public static void addLink(RCDDefOperation defOperation, RSOperation realOpSpec) {
		RCDDefOperation_hasRealizativeOperationSpecification_RSOperation self =
			new RCDDefOperation_hasRealizativeOperationSpecification_RSOperation(defOperation,realOpSpec);
		defOperation.setRealizativeOperationSpecification(self);
		realOpSpec.setRcdDefOperation(self);
	}

	public static void removeLink(RCDDefOperation defOperation, RSOperation realOpSpec) {
		RCDDefOperation_hasRealizativeOperationSpecification_RSOperation self =
			new RCDDefOperation_hasRealizativeOperationSpecification_RSOperation(defOperation,realOpSpec);
		defOperation.unsetRealizativeOperationSpecification(self);
		realOpSpec.unsetRcdDefOperation(self);
	}


	public RCDDefOperation getRealDefOperation() {
		return defOperation;
	}

	public RSOperation getRealizativeOpSpec() {
		return realOpSpec;
	}
}