package it.uniroma1.dis.mfis.redia.verifint.model.realization._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.utilities.OperationAlgorithm;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSOperation;

public class RSOperation_hasAlgorithm_OperationAlgorithm {

	private OperationAlgorithm operationAlgorithm;
	private RSOperation rsOperation;

	private RSOperation_hasAlgorithm_OperationAlgorithm(RSOperation rsOperation,OperationAlgorithm operationAlgorithm) {
			this.rsOperation = rsOperation;
			this.operationAlgorithm = operationAlgorithm;
	}

	public static void addLink(RSOperation rsOperation,OperationAlgorithm operationAlgorithm) {
		RSOperation_hasAlgorithm_OperationAlgorithm self =
			new RSOperation_hasAlgorithm_OperationAlgorithm(rsOperation,operationAlgorithm);
		rsOperation.setOperationAlgorithm(self);
		operationAlgorithm.setRsOperation(self);
	}

	public static void removeLink(RSOperation rsOperation,OperationAlgorithm operationAlgorithm) {
		RSOperation_hasAlgorithm_OperationAlgorithm self =
			new RSOperation_hasAlgorithm_OperationAlgorithm(rsOperation,operationAlgorithm);
		rsOperation.unsetOperationAlgorithm(self);
		operationAlgorithm.unsetRsOperation(self);
	}

	public RSOperation getRsOperation() {
		return rsOperation;
	}

	public OperationAlgorithm getOperationAlgorithm() {
		return operationAlgorithm;
	}

    
}