package it.uniroma1.dis.mfis.redia.verifint.model.realization._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.utilities.OperationPrecondition;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSOperation;

public class RSOperation_hasPrecondition_OperationPrecondition {

	private OperationPrecondition operationPrecondition;
	private RSOperation rsOperation;

	private RSOperation_hasPrecondition_OperationPrecondition(RSOperation rsOperation,OperationPrecondition operationPrecondition) {
			this.rsOperation = rsOperation;
			this.operationPrecondition = operationPrecondition;
	}

	public static void addLink(RSOperation rsOperation,OperationPrecondition operationPrecondition) {
		RSOperation_hasPrecondition_OperationPrecondition self =
			new RSOperation_hasPrecondition_OperationPrecondition(rsOperation,operationPrecondition);
		rsOperation.setOperationPrecondition(self);
		operationPrecondition.setRsOperation(self);
	}

	public static void removeLink(RSOperation rsOperation,OperationPrecondition operationPrecondition) {
		RSOperation_hasPrecondition_OperationPrecondition self =
			new RSOperation_hasPrecondition_OperationPrecondition(rsOperation,operationPrecondition);
		rsOperation.unsetOperationPrecondition(self);
		operationPrecondition.unsetRsOperation(self);
	}

	public RSOperation getRsOperation() {
		return rsOperation;
	}

	public OperationPrecondition getOperationPrecondition() {
		return operationPrecondition;
	}

    
}