package it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams;

import it.uniroma1.dis.mfis.redia.verifint.model._dataTypes.Multiplicity;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.types._interfaces.RTType;

public abstract class RCDProperty extends RCDInnerComponent {
	public static final Short DEFAULT_MINIMUM_MULTIPLICITY = 0;
	public static final Short DEFAULT_MAXIMUM_MULTIPLICITY = 1;

	protected RTType type;
	
	protected RCDProperty(String name, Multiplicity multiplicity) {
		super(name, multiplicity);
	}

	protected RCDProperty(String name) {
		super(name);
	}
	
	protected RCDProperty() {
		super();
	}
	
	public RTType getType() {
		return this.type;
	}
	protected void setType(RTType type) {
		this.type = type;
	}

	protected void unsetType() {
		this.type = null;
	}

}
