package it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDDataStructureOperation;

public class RCDDataStructure_hasOperation_RCDDataStructureOperation {

	private RCDDataStructure rcdDataStructure;
	private RCDDataStructureOperation rcdDataStructureOperation;
	
	private RCDDataStructure_hasOperation_RCDDataStructureOperation(RCDDataStructure rcdDataStructure, RCDDataStructureOperation rcdClasOperation) {
		super();
		this.rcdDataStructure = rcdDataStructure;
		this.rcdDataStructureOperation = rcdDataStructureOperation;
	}
	
	public static void addLink(RCDDataStructure rcdDataStructure, RCDDataStructureOperation rcdDataStructureOperation) {
		RCDDataStructure_hasOperation_RCDDataStructureOperation self =
			new RCDDataStructure_hasOperation_RCDDataStructureOperation(rcdDataStructure, rcdDataStructureOperation);
		rcdDataStructureOperation.setRcdDataStructure(self);
		rcdDataStructure.addRcdDataStructureOperation(self);
	}
	
	public static void removeLink(RCDDataStructure rcdDataStructure, RCDDataStructureOperation rcdDataStructureOperation) {
		RCDDataStructure_hasOperation_RCDDataStructureOperation self =
			new RCDDataStructure_hasOperation_RCDDataStructureOperation(rcdDataStructure, rcdDataStructureOperation);
		rcdDataStructureOperation.unsetRcdDataStructure(self);
		rcdDataStructure.removeRcdDataStructureOperation(self);
	}

	public RCDDataStructure getRcdDataStructure() {
		return this.rcdDataStructure;
	}

	public RCDDataStructureOperation getRcdDataStructureOperation() {
		return this.rcdDataStructureOperation;
	}
}