package it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDOperation;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDParameter;


public class RCDOperation_hasParameter_RCDParameter {
	
	private RCDParameter parameter;
	private RCDOperation operation;
		
	private RCDOperation_hasParameter_RCDParameter(
			RCDParameter parameter, RCDOperation operation) {
		super();
		this.parameter = parameter;
		this.operation = operation;
	}
	
	public static void addLink(RCDOperation operation, RCDParameter parameter) {
		RCDOperation_hasParameter_RCDParameter self =
			new RCDOperation_hasParameter_RCDParameter(parameter, operation);
		parameter.setOwnerOperation(self);
		operation.addInputParameter(self);
	}
	
	public static void removeLink(RCDOperation operation, RCDParameter parameter) {
		RCDOperation_hasParameter_RCDParameter self =
			new RCDOperation_hasParameter_RCDParameter(parameter, operation);
		parameter.unsetOwnerOperation(self);
		operation.removeInputParameter(self);
	}

	public RCDParameter getParameter() {
		return this.parameter;
	}

	public RCDOperation getOperation() {
		return this.operation;
	}

}