package it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications;

import java.util.List;
import it.uniroma1.dis.mfis.redia.verifint.model.Specification;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications._links.*;

public abstract class RSSpecification {

	private List <RSOperation> rsOperation;
	private String name;
	
	RSSpecification() {		
	}
	public RSSpecification(String name) {
		this.name = name; 
	}
	
	public void addRSOperation(RSSpecification_hasOperationSpecification_RSOperation
				rSSpecification_hasOperationSpecification_RSOperation) {
		this.rsOperation.add(rSSpecification_hasOperationSpecification_RSOperation.getRSOperation());
	}

	public void removeRSOperation(RSSpecification_hasOperationSpecification_RSOperation
				rSSpecification_hasOperationSpecification_RSOperation) {
		this.rsOperation.remove(rSSpecification_hasOperationSpecification_RSOperation.getRSOperation());
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}
	public List<RSOperation> getRSOperation() {
		return rsOperation;
	}
}