package it.uniroma1.dis.mfis.redia.verifint.model.realization.types._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.types._interfaces.RTType;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.types._interfaces.RTTypeDefined;

public class RTType_isTypeOf_RTTypeDefined {
	protected RTType type;
	protected RTTypeDefined typeDefined;

	protected RTType_isTypeOf_RTTypeDefined(RTType type, RTTypeDefined typeDefined) {
		super();
		this.type = type;
		this.typeDefined = typeDefined;
	}
	
	public static void addLink(RTType type, RTTypeDefined typeDefined) {
		RTType_isTypeOf_RTTypeDefined self = new RTType_isTypeOf_RTTypeDefined(type, typeDefined);
		type.addTypeDefinedElement(self);
		typeDefined.setType(self);
	}
	
	public static void removeLink(RTType type, RTTypeDefined typeDefined) {
		RTType_isTypeOf_RTTypeDefined self = new RTType_isTypeOf_RTTypeDefined(type, typeDefined);
		type.removeTypeDefinedElement(self);
		typeDefined.setType(self);
	}

	public RTType getType() {
		return type;
	}

	public RTTypeDefined getTypeDefined() {
		return typeDefined;
	}
}