package it.uniroma1.dis.mfis.redia.verifint.model.realization.utilities;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSOperation;
import it.uniroma1.dis.mfis.redia.verifint.model.realization._links.RSOperation_hasAlgorithm_OperationAlgorithm;
import it.uniroma1.dis.mfis.redia.verifint.model._exceptions.AssociationTargetException;

public abstract class OperationAlgorithm {
	
	private RSOperation rsOperation;
	
	public RSOperation getRsOperation() {
		return rsOperation;	
	}
	
	public void setRsOperation(RSOperation_hasAlgorithm_OperationAlgorithm link)
	throws AssociationTargetException {
		if (!link.getOperationAlgorithm().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.rsOperation = link.getRsOperation();
	}
	
	public void unsetRsOperation(RSOperation_hasAlgorithm_OperationAlgorithm link)
	throws AssociationTargetException {
		if (!link.getOperationAlgorithm().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.rsOperation = null;
	}
		
}