package it.uniroma1.dis.mfis.redia.verifint.model._links;


import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSDataType;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSDataStructure;


public class CSDataType_hasDataStructure_RSDataStructure {

	private RSDataStructure rsDataStructure;
	private CSDataType csDataType;

	private CSDataType_hasDataStructure_RSDataStructure(RSDataStructure rsDataStructure,CSDataType csDataType) {
			this.rsDataStructure = rsDataStructure;
			this.csDataType = csDataType;
	}

	public static void addLink(RSDataStructure rsDataStructure,CSDataType csDataType) {
		CSDataType_hasDataStructure_RSDataStructure self =
			new CSDataType_hasDataStructure_RSDataStructure(rsDataStructure,csDataType);
		rsDataStructure.setCSDataType(self);
		csDataType.setRSDataStructure(self);
	}

	public static void removeLink(RSDataStructure rsDataStructure,CSDataType csDataType) {
		CSDataType_hasDataStructure_RSDataStructure self =
			new CSDataType_hasDataStructure_RSDataStructure(rsDataStructure,csDataType);
		rsDataStructure.unsetCSDataType(self);
		csDataType.unsetRSDataStructure(self);
	}

	public CSDataType getCSDataType() {
		return csDataType;
	}

	public RSDataStructure getRSDataStructure() {
		return rsDataStructure;
	}

    
}
