package it.uniroma1.dis.mfis.redia.verifint.model.analysis._links;


import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSClass;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDClass;


public class CCDClass_hasConceptualClassSpecification_CSClass {


	private CCDClass ccdClass;
	private CSClass csClass;

	private CCDClass_hasConceptualClassSpecification_CSClass(CCDClass ccdClass,CSClass csClass) {
			this.ccdClass = ccdClass;
			this.csClass = csClass;
	}

	public static void addLink(CCDClass ccdClass,CSClass csClass) {
		CCDClass_hasConceptualClassSpecification_CSClass self =
			new CCDClass_hasConceptualClassSpecification_CSClass(ccdClass,csClass);
		ccdClass.setCSClass(self);
		csClass.setCCDClass(self);
	}

	public static void removeLink(CCDClass ccdClass,CSClass csClass) {
		CCDClass_hasConceptualClassSpecification_CSClass self =
			new CCDClass_hasConceptualClassSpecification_CSClass(ccdClass,csClass);
		ccdClass.unsetCSClass(self);
		csClass.unsetCCDClass(self);
	}

	public CSClass getCSClass() {
		return csClass;
	}

	public CCDClass getCCDClass() {
		return ccdClass;
	}

    
}