package it.uniroma1.dis.mfis.redia.verifint.model.analysis._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDOperation;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSOperation;

public class CCDOperation_hasConcOpSpec_CSOperation {
	private CCDOperation classOperation;
	private CSOperation concOpSpec;

	private CCDOperation_hasConcOpSpec_CSOperation(
			CCDOperation classOperation, CSOperation concOpSpec) {
				
			this.classOperation = classOperation;
			this.concOpSpec = concOpSpec;
	}

	public static void addLink(
			CCDOperation classOperation, CSOperation conceptualOpSpec) {
		CCDOperation_hasConcOpSpec_CSOperation self =
			new CCDOperation_hasConcOpSpec_CSOperation(
					classOperation,conceptualOpSpec);
		classOperation.setConceptualOpSpec(self);
		conceptualOpSpec.setClassOperation(self);
	}

		public static void removeLink(
			CCDOperation classOperation, CSOperation conceptualOpSpec) {
		CCDOperation_hasConcOpSpec_CSOperation self =
			new CCDOperation_hasConcOpSpec_CSOperation(
					classOperation,conceptualOpSpec);
		classOperation.unsetConceptualOpSpec(self);
		conceptualOpSpec.unsetClassOperation(self);
	}


	public CCDOperation getClassOperation() {
		return classOperation;
	}

	public CSOperation getConceptualOpSpec() {
		return concOpSpec;
	}
}