package it.uniroma1.dis.mfis.redia.verifint.model.analysis._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.classDiagrams.CCDAttribute;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSDataType;

public class CSDataType_hasAttributes_CCDAttribute {
	private CCDAttribute ccdAttribute;
	private CSDataType csDataType;

	private CSDataType_hasAttributes_CCDAttribute(
			CCDAttribute ccdAttribute, CSDataType csDataType) {
				
			this.ccdAttribute = ccdAttribute;
			this.csDataType = csDataType;
	}

	public static void addLink(
			CCDAttribute ccdAttribute, CSDataType csDataType) {
		CSDataType_hasAttributes_CCDAttribute self =
			new CSDataType_hasAttributes_CCDAttribute(
					ccdAttribute,csDataType);
		ccdAttribute.setCSDataType(self);
	}

		public static void removeLink(
			CCDAttribute ccdAttribute, CSDataType csDataType) {
		CSDataType_hasAttributes_CCDAttribute self =
			new CSDataType_hasAttributes_CCDAttribute(
					ccdAttribute,csDataType);
		ccdAttribute.unsetCSDataType(self);
	}


	public CCDAttribute getCCDAttribute() {
		return ccdAttribute;
	}

	public CSDataType getCSDataType() {
		return csDataType;
	}
}