package it.uniroma1.dis.mfis.redia.verifint.model.analysis._links;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types.CTDefinedType;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSDataType;

public class CTDefinedType_hasConceptualSpecification_CSDataType {

	private CSDataType csDataType;
	private CTDefinedType ctDefinedType;

	private CTDefinedType_hasConceptualSpecification_CSDataType(CSDataType csDataType,CTDefinedType ctDefinedType) {
			this.csDataType = csDataType;
			this.ctDefinedType = ctDefinedType;
	}

	public static void addLink(CSDataType csDataType,CTDefinedType ctDefinedType) {
		CTDefinedType_hasConceptualSpecification_CSDataType self =
			new CTDefinedType_hasConceptualSpecification_CSDataType(csDataType,ctDefinedType);
		ctDefinedType.setCsDataType(self);
		csDataType.setCtDefinedType(self);
	}

	public static void removeLink(CSDataType csDataType,CTDefinedType ctDefinedType) {
		CTDefinedType_hasConceptualSpecification_CSDataType self =
			new CTDefinedType_hasConceptualSpecification_CSDataType(csDataType,ctDefinedType);
		ctDefinedType.unsetCsDataType(self);
		csDataType.unsetCtDefinedType(self);
	}

	public CSDataType getCsDataType() {
		return csDataType;
	}

	public CTDefinedType getCtDefinedType() {
		return ctDefinedType;
	}

    
}