package it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.ocl;
public class OclLiteralCollectExpr extends OclExpression{
		
	private String collectionType;	
	private OclExpression [] collection;
	
	public OclLiteralCollectExpr(OclExpression [] collection,String collectionType){
		this.collection = collection;
		this.collectionType = collectionType;
	}
	
	public String getCollectionType(){
		return collectionType;
	}
	
	public OclExpression[] getCollection(){
		return collection;
	}
	
	public String toString(){
		
		if(this.collection==null){
			return this.getCollectionType() + "{}";
		}
		
		String result = "";
		
		result+=this.getCollectionType() + "{";  
		
		for(int i=0; i<this.getCollection().length;i++){
			result+=this.collection[i].toString() + ",";
		}
		result += "}";
		return result;
	}

	
}