package it.uniroma1.dis.mfis.redia.verifint.model.analysis.utilities.ocl;
public class OclPropCall extends OclExpression{
		
	
	
	private OclExpression simpleTypeSpec;
	private boolean pre;
	private OclListExpr qualifier;
	private OclPropCallParams propCallParams;
		
	public OclPropCall(OclExpression simpleTypeSpec){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = false;
		this.qualifier = null;
		this.propCallParams = null;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,boolean pre){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = pre;
		this.qualifier = null;
		this.propCallParams = null;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,OclListExpr qualifier){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = false;
		this.qualifier = qualifier;
		this.propCallParams = null;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,OclPropCallParams propCallParams){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = false;
		this.qualifier = null;
		this.propCallParams = propCallParams;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,boolean pre,OclListExpr qualifier){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = pre;
		this.qualifier = qualifier;
		this.propCallParams = null;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,boolean pre,OclPropCallParams propCallParams){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = pre;
		this.qualifier = null;
		this.propCallParams = propCallParams;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,OclListExpr qualifier,OclPropCallParams propCallParams){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = false;
		this.qualifier = qualifier;
		this.propCallParams = propCallParams;
	}
	
	public OclPropCall(OclExpression simpleTypeSpec,boolean pre,OclListExpr qualifier,OclPropCallParams propCallParams){
		this.simpleTypeSpec = simpleTypeSpec;
		this.pre = pre;
		this.qualifier = qualifier;
		this.propCallParams = propCallParams;
	}
	
	
	public OclListExpr getQualifier(){
		return this.qualifier;
	}
	
	public OclExpression getSimpleTypeSpec() {
		return this.simpleTypeSpec;
	}
	public boolean getPre(){
		return this.pre;
	}	
	public OclPropCallParams getPropCallParams(){
		return this.propCallParams;
	}

	public String toString(){
		
		String result = "";

		result = this.getSimpleTypeSpec().toString();
	
		if(this.pre){
			result+="@pre";
		}
		if(this.getQualifier()!=null){
			result+=this.getQualifier().toString();
		}
		if(this.getPropCallParams()!=null){
			result += this.getPropCallParams().toString();
		}
		
		return result;
	}
}