package it.uniroma1.dis.mfis.redia.verifint.model.realization._links;


import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSClass;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDClass;


public class RCDClass_hasRealizativeClassSpecification_RSClass {


	private RCDClass rcdClass;
	private RSClass rsClass;

	private RCDClass_hasRealizativeClassSpecification_RSClass(RCDClass rcdClass,RSClass rsClass) {
			this.rcdClass = rcdClass;
			this.rsClass = rsClass;
	}

	public static void addLink(RCDClass rcdClass,RSClass rsClass) {
		RCDClass_hasRealizativeClassSpecification_RSClass self =
			new RCDClass_hasRealizativeClassSpecification_RSClass(rcdClass,rsClass);
		rcdClass.setRSClass(self);
		rsClass.setRCDClass(self);
	}

	public static void removeLink(RCDClass rcdClass,RSClass rsClass) {
		RCDClass_hasRealizativeClassSpecification_RSClass self =
			new RCDClass_hasRealizativeClassSpecification_RSClass(rcdClass,rsClass);
		rcdClass.unsetRSClass(self);
		rsClass.unsetRCDClass(self);
	}

	public RSClass getRSClass() {
		return rsClass;
	}

	public RCDClass getRCDClass() {
		return rcdClass;
	}

    
}