package it.uniroma1.dis.mfis.redia.verifint.model.realization._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications.RSDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDDataStructure;


public class RCDDataStructure_hasDataStructureSpecification_RSDataStructure {

	private RCDDataStructure rcdDataStructure;
	private RSDataStructure rsDataStructure;

	private RCDDataStructure_hasDataStructureSpecification_RSDataStructure(RCDDataStructure rcdDataStructure,RSDataStructure rsDataStructure) {
			this.rcdDataStructure = rcdDataStructure;
			this.rsDataStructure = rsDataStructure;
	}

	public static void addLink(RCDDataStructure rcdDataStructure,RSDataStructure rsDataStructure) {
		RCDDataStructure_hasDataStructureSpecification_RSDataStructure self =
			new RCDDataStructure_hasDataStructureSpecification_RSDataStructure(rcdDataStructure,rsDataStructure);
		rcdDataStructure.setRsDataStructure(self);
		rsDataStructure.setRCDDataStructure(self);
	}

	public static void removeLink(RCDDataStructure rcdDataStructure,RSDataStructure rsDataStructure) {
		RCDDataStructure_hasDataStructureSpecification_RSDataStructure self =
			new RCDDataStructure_hasDataStructureSpecification_RSDataStructure(rcdDataStructure,rsDataStructure);
		rcdDataStructure.unsetRsDataStructure(self);
		rsDataStructure.unsetRCDDataStructure(self);
	}

	public RSDataStructure getRSDataStructure() {
		return rsDataStructure;
	}

	public RCDDataStructure getRCDDataStructure() {
		return rcdDataStructure;
	}

    
}