package it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams;

import it.uniroma1.dis.mfis.redia.verifint.model._dataTypes.Multiplicity;

public abstract class RCDInnerComponent extends RCDElement {
	
	protected Multiplicity multiplicity;

	protected RCDInnerComponent(String name) { super(name); }

	protected RCDInnerComponent(String name,Multiplicity multiplicity) {
		super(name);
		this.setMultiplicity(multiplicity);
	}

	protected RCDInnerComponent() { super(); }

	public Multiplicity getMultiplicity() { return this.multiplicity; }

	public void setMultiplicity(Multiplicity multiplicity) {
		this.multiplicity = multiplicity;
	}
	
}