package it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDClass;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDClassOperation;

public class RCDClass_hasOperation_RCDClassOperation {

	private RCDClass rcdClass;
	private RCDClassOperation rcdClassOperation;
	
	private RCDClass_hasOperation_RCDClassOperation(RCDClass rcdClass, RCDClassOperation rcdClasOperation) {
		super();
		this.rcdClass = rcdClass;
		this.rcdClassOperation = rcdClassOperation;
	}
	
	public static void addLink(RCDClass rcdClass, RCDClassOperation rcdClassOperation) {
		RCDClass_hasOperation_RCDClassOperation self =
			new RCDClass_hasOperation_RCDClassOperation(rcdClass, rcdClassOperation);
		rcdClassOperation.setRcdClass(self);
		rcdClass.addRcdClassOperation(self);
	}
	
	public static void removeLink(RCDClass rcdClass, RCDClassOperation rcdClassOperation) {
		RCDClass_hasOperation_RCDClassOperation self =
			new RCDClass_hasOperation_RCDClassOperation(rcdClass, rcdClassOperation);
		rcdClassOperation.unsetRcdClass(self);
		rcdClass.removeRcdClassOperation(self);
	}

	public RCDClass getRcdClass() {
		return this.rcdClass;
	}

	public RCDClassOperation getRcdClassOperation() {
		return this.rcdClassOperation;
	}
}