package it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams._links;

import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDDiagram;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDElement;

public class RCDDiagram_isComposedBy_RCDElement {

	private RCDDiagram diagram;
	private RCDElement element;

	private RCDDiagram_isComposedBy_RCDElement(RCDDiagram diagram, RCDElement element) {
		this.diagram = diagram;
		this.element = element;
	}

	public static void addLink(RCDDiagram diagram, RCDElement element) {
		RCDDiagram_isComposedBy_RCDElement self =
			new RCDDiagram_isComposedBy_RCDElement(diagram, element);
		diagram.addElement(self);
		element.setDiagram(self);
	}

	public static void removeLink(RCDDiagram diagram, RCDElement element) {
		RCDDiagram_isComposedBy_RCDElement self =
			new RCDDiagram_isComposedBy_RCDElement(diagram, element);
		diagram.removeElement(self);
		element.unsetDiagram(self);
	}

	public RCDDiagram getDiagram() {
		return this.diagram;
	}

	public RCDElement getElement() {
		return this.element;
	}
}