package it.uniroma1.dis.mfis.redia.verifint.model.realization.realizativeSpecifications;

import it.uniroma1.dis.mfis.redia.verifint.model._exceptions.AssociationTargetException;
import it.uniroma1.dis.mfis.redia.verifint.model._links.CSDataType_hasDataStructure_RSDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.realization.classDiagrams.RCDDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.realization._links.RCDDataStructure_hasDataStructureSpecification_RSDataStructure;
import it.uniroma1.dis.mfis.redia.verifint.model.analysis.conceptualSpecifications.CSDataType;
import it.uniroma1.dis.mfis.redia.verifint.model._links.CSDataType_hasDataStructure_RSDataStructure;

public class RSDataStructure extends RSSpecification {
	
	private RCDDataStructure rcdDataStructure;
	private CSDataType csDataType;
	
	protected RSDataStructure() {
		super();
	}
	
	RSDataStructure(String name) {
		super(name);
		
	}

	public void setRCDDataStructure(RCDDataStructure_hasDataStructureSpecification_RSDataStructure link)
	throws AssociationTargetException {
		if (!link.getRSDataStructure().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.rcdDataStructure = link.getRCDDataStructure();
	}
	
	
	public void unsetRCDDataStructure(RCDDataStructure_hasDataStructureSpecification_RSDataStructure link)
	throws AssociationTargetException {
		if (!link.getRSDataStructure().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.rcdDataStructure = null;
	}

	public void setCSDataType(CSDataType_hasDataStructure_RSDataStructure link)
	throws AssociationTargetException {
		if (!link.getRSDataStructure().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.csDataType = link.getCSDataType();
	}

	public void unsetCSDataType(CSDataType_hasDataStructure_RSDataStructure link)
	throws AssociationTargetException {
		if (!link.getRSDataStructure().equals(this))
			throw new AssociationTargetException(
					link.getClass().getName(),
					this.getClass().getName());
		this.csDataType = null;
	}
	public RCDDataStructure getRCDDataStructure() {
		return rcdDataStructure;
	}
	public CSDataType getCSDataType() {
		return csDataType;
	}

}